unit uIDataModulePedidosCliente;

interface

uses
  Classes, uBizPedidosCliente, uBizDetallesPedidoCliente;

type
  IDataModulePedidosCliente = interface
  ['{F1F4C155-D432-44F9-8665-4B3077FE3527}']
    function GetAnosItems : TStringList;
    function GetItems: IBizPedidoCliente;
    function GetItem(const ID : Integer) : IBizPedidoCliente;
    function NewItem : IBizPedidoCliente;
    function GetArticulosPendientes(const IDPedido: Integer): IBizPedidoClienteArticulosPend;
    function GetArticulosPendientesPedirAProv(const IDPedido: Integer): IBizPedidoClienteArticulosPendientesPedirAProv;        
  end;

implementation

end.
